IP_RECVORIGDSTADDR(2const)

NAME
IP_RECVORIGDSTADDR - receive IP_ORIGDSTADDR control message

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_RECVORIGDSTADDR,
               const int *enable, sizeof(int));

DESCRIPTION
This boolean option enables the IP_ORIGDSTADDR ancillary message in recvmsg(2), in which the kernel returns the original destination address of the datagram being received.

The ancillary message contains a sockaddr_in(2type) structure.

Not supported for SOCK_STREAM sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

STANDARDS
Linux.

HISTORY
Linux 2.6.29.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)